<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE

  홈페이지 : http://.piree.kr

  작업날짜 : 2021년 09월 09일 목요일 오후 15시 23분 - 날씨 구름 많음, 25.0, 25, 16, 0%, 0.7ms, 0% / 좋음, 24, 13

  저 작 권 : Copyright ⓒ 2014-2020 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 프로그램 공통 처리
=====================================================================

*/

  IF ( !defined('_GNUBOARD_'))                      EXIT;

  auth_check($auth[$sub_menu], "r");

  $piree_li_buyer_name = save__str($_POST['piree_li_buyer_name']);

  $piree_li_buyer_tel = save__str($_POST['piree_li_buyer_tel']);

  $piree_li_buyer_email = save__str($_POST['piree_li_buyer_email']);

  $PIREE__license_c = save__str($_POST['PIREE__license_c']);

  $SIR__order_c = save__str($_POST['SIR__order_c']);

  ${'p'. $submenu .'__use_n'}  = save__str($_POST['p'. $submenu .'__use_n']);

  $prog_top_include_n = $piree_prog_a[770016]['top_include_n'];

  $prog_head_include_n = $piree_prog_a[770016]['head_include_n'];

  $prog_body_include_n = $piree_prog_a[770016]['body_include_n'];

  IF ( $piree_prog_a[770016]['include_use_n'] == 1 )
  {

      $prog_top_include_n = (int)$_POST['prog_top_include_n'];
      IF ( $prog_top_include_n != 1 && $prog_top_include_n != 11 )
      {
          $prog_top_include_n = 0;
      }

      $prog_head_include_n = (int)$_POST['prog_head_include_n'];
      IF ( $prog_head_include_n != 1 && $prog_head_include_n != 11 )
      {
          $prog_head_include_n = 0;
      }

      $prog_body_include_n = (int)$_POST['prog_body_include_n'];
      IF ( $prog_body_include_n != 1 && $prog_body_include_n != 11 )
      {
          $prog_body_include_n = 0;
      }

  }

  $skin_pc_c  = save__str($_POST['skin_pc_c']);
  $skin_mo_c  = save__str($_POST['skin_mo_c']);

  SWITCH ( $buy_how_c )
  {

      CASE 'piree_kr' :

          IF ( !$PIREE__license_c )
          {
              alert("[ PIREE.KR 라이센스 코드 ]를 입력해 주세요.");
          }

      BREAK;

      CASE 'sir_kr' :

          IF ( !$SIR__order_c )
          {
              alert("[ SIR.KR 컨텐츠몰 주문번호 ]를 입력해 주세요.");
          }

      BREAK;

      DEFAULT :

          alert("[ 구매처 ]를 선택해 주세요.\n\n[ PIREE.KR 유료 웹프로그램 게시판 ]와\n[ PIREE.KR 라이센스 코드 ]\n중 1개를 선택해 주세요.");

      BREAK;

  }

  $sql_common  = "`pgs_use_n`      = '". ${'p'. $submenu .'__use_n'} ."', ";
  $sql_common .= "`pgs_prog_s`    = '". $piree_prog_a[$nett_prog_n]['name'] ."', ";
  $sql_common .= "`pgs_skin_pc_c`  = '". $skin_pc_c ."', ";
  $sql_common .= "`pgs_skin_mo_c`  = '". $skin_mo_c ."', ";

  $sql_common .= "`pgs_top_include_n` = '". $prog_top_include_n ."', ";

  $sql_common .= "`pgs_head_include_n` = '". $prog_head_include_n ."', ";

  $sql_common .= "`pgs_body_include_n` = '". $prog_body_include_n ."', ";

  $sql_common .= "`pgs_buyer_name` = '". $piree_li_buyer_name ."', ";

  $sql_common .= "`pgs_buyer_tel` = '". $piree_li_buyer_tel ."', ";

  $sql_common .= "`pgs_buyer_email` = '". $piree_li_buyer_email ."', ";

  $sql_common .= "`pgs_PIREE__license_c` = '". $PIREE__license_c ."', ";

  $sql_common .= "`pgs_SIR__order_c` = '". $SIR__order_c ."', ";

?>